import { LitElement } from 'lit';
import { EditorView } from '@codemirror/view';
import { SelectionRange, TransactionSpec } from '@codemirror/state';
import './remote-cursor';
export interface CodemirrorState {
    text: string;
    selection?: SelectionRange;
}
export declare class CodemirrorMarkdown extends LitElement {
    editor: EditorView;
    _editorEl: HTMLElement;
    _state: CodemirrorState | undefined;
    set state(s: CodemirrorState);
    additionalCursors: Array<{
        name: string;
        position: number;
        color: string;
    }>;
    firstUpdated(): void;
    setState(state: CodemirrorState): void;
    dispatchChanges(changes: TransactionSpec): void;
    renderCursor(c: {
        position: number;
        name: string;
        color: string;
    }): import("lit-html").TemplateResult<1>;
    render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult;
}
