import { __decorate } from "tslib";
import { css, html, LitElement } from 'lit';
import { customElement, property } from 'lit/decorators.js';
import { styleMap } from 'lit/directives/style-map.js';
import '@shoelace-style/shoelace/dist/components/tooltip/tooltip.js';
let RemoteCursor = class RemoteCursor extends LitElement {
    renderCursor() {
        return html `<div
      class="cursor"
      style=${styleMap({
            'background-color': `rgb(${this.color})`,
        })}
    ></div>`;
    }
    render() {
        return html `
      ${this.name
            ? html `
            <sl-tooltip
              style=${styleMap({ '--sl-tooltip-background-color': this.color })}
              .open=${true}
              trigger="manual"
              placement="top"
              .content=${this.name}
            >
              ${this.renderCursor()}
            </sl-tooltip>
          `
            : this.renderCursor()}
    `;
    }
};
RemoteCursor.styles = css `
    .cursor {
      width: 1px;
      height: 18px;
      margin-left: -1;
    }
  `;
__decorate([
    property()
], RemoteCursor.prototype, "name", void 0);
__decorate([
    property()
], RemoteCursor.prototype, "color", void 0);
RemoteCursor = __decorate([
    customElement('codemirror-remote-cursor')
], RemoteCursor);
export { RemoteCursor };
//# sourceMappingURL=remote-cursor.js.map